//
//  SHRecordExportAlertView.swift
//  ShorthandMaster
//
//  Created by 明津李 on 2020/8/27.
//  Copyright © 2020 明津李. All rights reserved.
//

import UIKit

class SHRecordExportAlertView: UIView {
    
    @IBOutlet var bgView: UIView!
    var selectedIndexCallBack: ((NSInteger)->Void)?
    
    
    override init(frame: CGRect) {
        super.init(frame: frame)
    }
    
    required init?(coder: NSCoder) {
        super.init(coder: coder)
    }
    
    override func awakeFromNib() {
        super.awakeFromNib()
        
        self.backgroundColor = UIColor.init(red: 0, green: 0, blue: 0, alpha: 0.3)
        bgView.layer.cornerRadius = 8
    }
    
    @objc @IBAction func cancelBtnClick(_ sender:UIButton){
        selectedIndexCallBack?(404)
        self.removeFromSuperview()
    }
    
    @objc @IBAction func cellBtnClick(_ sender:UIButton){
        selectedIndexCallBack?(sender.tag-0x64)
    }
}
